com.sun.messaging.jms.management.server

## Class DestinationNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.DestinationNotification

All Implemented Interfaces:
  java.io.Serializable

    public class DestinationNotification
    extends MQNotification

Class containing information on consumer notifications.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DESTINATION_COMPACT` A destination was compacted.
`static java.lang.String` `DESTINATION_CREATE` A destination was created.
`static java.lang.String` `DESTINATION_DESTROY` A destination was destroyed.
`static java.lang.String` `DESTINATION_PAUSE` A destination was paused.
`static java.lang.String` `DESTINATION_PURGE` A destination was purged.
`static java.lang.String` `DESTINATION_RESUME` A destination was resumed.

### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

`PREFIX`

### Fields inherited from class javax.management.Notification

`source`

### Constructor Summary

Constructors
Constructor and Description
`DestinationNotification(java.lang.String type, java.lang.Object source, long sequenceNumber)` Creates a DestinationNotification object.

### Method Summary

Methods
`boolean` `getCreatedByAdmin()`
`java.lang.String` `getDestinationName()`
`java.lang.String` `getDestinationType()`
`java.lang.String` `getPauseType()`
`void` `setCreatedByAdmin(boolean createdByAdmin)`
`void` `setDestinationName(java.lang.String name)`
`void` `setDestinationType(java.lang.String type)`
`void` `setPauseType(java.lang.String pauseType)`

### Methods inherited from class javax.management.Notification

`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DESTINATION_COMPACT

    public static final java.lang.String DESTINATION_COMPACT

A destination was compacted.

See Also:
  Constant Field Values

#### DESTINATION_CREATE

    public static final java.lang.String DESTINATION_CREATE

A destination was created.

See Also:
  Constant Field Values

#### DESTINATION_DESTROY

    public static final java.lang.String DESTINATION_DESTROY

A destination was destroyed.

See Also:
  Constant Field Values

#### DESTINATION_PAUSE

    public static final java.lang.String DESTINATION_PAUSE

A destination was paused.

See Also:
  Constant Field Values

#### DESTINATION_PURGE

    public static final java.lang.String DESTINATION_PURGE

A destination was purged.

See Also:
  Constant Field Values

#### DESTINATION_RESUME

    public static final java.lang.String DESTINATION_RESUME

A destination was resumed.

See Also:
  Constant Field Values

### Constructor Detail

#### DestinationNotification

    public DestinationNotification(java.lang.String type,
                           java.lang.Object source,
                           long sequenceNumber)

Creates a DestinationNotification object.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.

### Method Detail

#### setDestinationName

    public void setDestinationName(java.lang.String name)

#### getDestinationName

    public java.lang.String getDestinationName()

#### setDestinationType

    public void setDestinationType(java.lang.String type)

#### getDestinationType

    public java.lang.String getDestinationType()

#### setPauseType

    public void setPauseType(java.lang.String pauseType)

#### getPauseType

    public java.lang.String getPauseType()

#### setCreatedByAdmin

    public void setCreatedByAdmin(boolean createdByAdmin)

#### getCreatedByAdmin

    public boolean getCreatedByAdmin()